Subject: IPP> MOD - RE: The Universal Print Driver

From: Roger K Debry <[email-masked]>
Date: Mon, 28 Apr 1997 10:07:46 -0400

Classification:

I'm surprised at the sensitivity people have expressed over mentioning another
topic
over the IPP banner.  While I agee that real work on other subjects, such as a
Universal
Print Driver, should be outside the scope of IPP, let's not get so concerned
over a
little discussion that we fail to recognize the value there is in having those
discussions.

In this case, the model group believed that there was value in making some
statements
about the need for a different driver model than those which are in vogue
today. I believe
that it is perfectly sensible to have a discussion on what we in the IPP group
believe
that model should look like in order to make IPP more useful and more
effective, and I
think that we should take the opportunity whenever possible to influence the
vendors
who provide these interfaces.

Roger K deBry
Senior Techncial Staff Member
Architecture and Technology
IBM Printing Systems
email: [email-masked]
phone: 1-303-924-4080

---------------------- Forwarded by Roger K Debry/Boulder/IBM on 04/28/97 07:40
AM ---------------------------

        ipp-owner @ pwg.org
        04/26/97 11:03 AM

To: ipp @ pwg.org@internet
cc:
Subject: IPP> MOD - RE: The Universal Print Driver

At 09:00 PM 4/25/97 -0400, you wrote:
>During the Model subgroup telecon today, the participants briefly
>touched on the concept of the "Universal Print Driver".
>
>Unanimous consensus was quickly reached whereby the group believes
>print driver technology should move in a direction that is both simpler
>and more powerful in terms of integration and feature support.
>

I hate to be a spoilsport, but I thought we had agreed to stay off this
subject at present. I believe like many of you that this is a good and
interesting subject for the PWG to tackle.

However, from the IETF IPP point of view tackling this problem now:

1) Would mean that we are trying to extend our charter

2) Considering that we are already behind shedule and that this has shown
   to be a rathole before, and might require substantial time and effort
   to resolve, meaning that we would slow down progress even further on
   what is in our charter

The only argument that I am somewhat responsive to, is that it might
influence our model design.  If that is really true, I would prefer to
limit our discussions on this subject to things that we might need to
think about in order to make generic print drivers possible in the
future - rather then trying to tackle the problem in its full width.

If a small group of people want to start discussing this subject among
themselves, over a private DL, they can do that and get back to the
IPP group when they believe that they have a working solution, I have
no problem with that, but I resist having IPP resources and IPP DL
bandwidth spent on this subject right now.

Regards,

Carl-Uno